com.holonplatform.vaadin7.components.builders

## Interface TemporalInputBuilder<T extends Temporal,B extends TemporalInputBuilder<T,B>>

- Type Parameters:
    `T` - Temporal type
    `B` - Concrete builder type
  All Superinterfaces:
    CalendarInputBuilder<T,B>, ComponentConfigurator<B>, InputBuilder<T,Input<T>,B>, InputConfigurator<T,B>
  All Known Subinterfaces:
    TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>, TemporalInputBuilder.TemporalWithTimeFieldBuilder<T>

      public interface TemporalInputBuilder<T extends Temporal,B extends TemporalInputBuilder<T,B>>
      extends CalendarInputBuilder<T,B>

  Builder to create `Temporal` type `Input`s backed by a calendar widget.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T extends Temporal>` A `TemporalInputBuilder` for Fields not supporting time.
    `static interface` | `TemporalInputBuilder.TemporalWithTimeFieldBuilder<T extends Temporal>` A `TemporalInputBuilder` for Fields supporting time.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `timeZone(ZoneId zoneId)` Sets the field time zone using a `ZoneId`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.CalendarInputBuilder

      `dateFormat, dateOutOfRangeMessage, dateOutOfRangeMessage, dateOutOfRangeMessage, lenient, parseErrorMessage, parseErrorMessage, parseErrorMessage, rangeEnd, rangeStart, showISOWeekNumbers, timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### timeZone

          B timeZone(ZoneId zoneId)

      Sets the field time zone using a `ZoneId`
      Parameters:
        `zoneId` - Zone id to set
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.